Bug 34090 - Appliance mode: UMC should warn if no DHCP address could be received
Appliance mode: UMC should warn if no DHCP address could be received
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2-3-errata
Assigned To: Drees Dormann
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-10 07:59 CET by Stefan Gohmann
Modified: 2014-09-10 17:46 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-02-10 07:59:59 CET
UMC should warn if the network is set to DHCP and no IP address could be received via DHCP.
Comment 1 Florian Best univentionstaff 2014-07-25 11:10:07 CEST
When selecting DHCP the query is done directly in the wizard mode. Maybe it would be good to do a query also in the validation but this is time consuming.
Comment 2 Alexander Kläser univentionstaff 2014-09-01 15:51:51 CEST
This bug is especially critical when DHCP is pre-configured, then there is no chance for a user to see that the network configuration will cause problems. This problem case seems to happen relatively often at the moment with appliance images and pre-installed apps.
Comment 3 Drees Dormann univentionstaff 2014-09-08 10:03:00 CEST
UMC now warns the user if DHCP is selected but a link-local address is used on one or more interfaces.
Explicit warnings if all interfaces use link-local addresses, internet will not be available.
Comment 4 Alexander Kläser univentionstaff 2014-09-09 17:53:48 CEST
Please check the translations, the button label "Continue without internet access" is not translated.

Otherwise the check worked fine in my tests with multiple interfaces.

YAML file → OK

Changes merged into UCS4 → FAIL, changes need yet to be cherry picked into UCS 4.0 branch (use svn merge -c ...)
Comment 5 Drees Dormann univentionstaff 2014-09-10 13:17:01 CEST
translation is now fixed.
merged to ucs 4.0
Comment 6 Alexander Kläser univentionstaff 2014-09-10 13:51:28 CEST
Changes → OK
YAML file → OK
Merge to UCS 4.0 → OK

→ VERIFIED
Comment 7 Janek Walkenhorst univentionstaff 2014-09-10 17:46:11 CEST
http://errata.univention.de/ucs/3.2/204.html